> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instantiate Stack Profile Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile:
    post:
      tags:
        - Imported Clusters
      summary: Instantiate Stack Profile Endpoint
      operationId: >-
        instantiate_stack_profile_endpoint_api_v1_org_clusters_imported__cluster_id__stacks_from_profile_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstantiateStackProfileRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstantiateStackProfileResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    InstantiateStackProfileRequest:
      properties:
        deploy:
          default: false
          title: Deploy
          type: boolean
        new_stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: New Stack Name
        parameters:
          default: []
          items:
            $ref: '#/components/schemas/ParameterBinding'
          title: Parameters
          type: array
        profile_id:
          format: uuid4
          title: Profile Id
          type: string
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
      required:
        - profile_id
      title: InstantiateStackProfileRequest
      type: object
    InstantiateStackProfileResult:
      properties:
        addons_count:
          title: Addons Count
          type: integer
        deployed:
          default: false
          title: Deployed
          type: boolean
        draft_id:
          format: uuid4
          title: Draft Id
          type: string
        job_count:
          default: 0
          title: Job Count
          type: integer
        manifests_count:
          title: Manifests Count
          type: integer
        operation_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Operation Id
        profile_version:
          title: Profile Version
          type: integer
        stack_name:
          title: Stack Name
          type: string
        warnings:
          default: []
          items:
            type: string
          title: Warnings
          type: array
      required:
        - draft_id
        - stack_name
        - profile_version
        - addons_count
        - manifests_count
      title: InstantiateStackProfileResult
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ParameterBinding:
      properties:
        name:
          title: Name
          type: string
        value:
          title: Value
          type: string
      required:
        - name
        - value
      title: ParameterBinding
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````